# How To Git <3

## Table Of Contents
1. [Part 1 Setting up account](#Part1)
2. [Part 2 SSH keys](#Part2)
3. [Part 3 Setting up github desktop](#Part3)
4. [part 4 Finishing up](#Part4)
5. [Usage](#Usage)

## Part 1 Setting up account <a name="user-content-Part1"></a>
1. First of all [Register](https://git.redstealth.dev/user/sign_up) here.
2. Ask your organization owner to add you to the organization you can move on after telling them.

## Part 2 SSH keys <a name="user-content-Part2"></a>
1. Press the windows key, search for `cmd` and open the black box.
2. Write `ssh-keygen -t ed25519 -C "your_email@example.com"` replacing "your_email@example.com" with your own and press enter.
    * Press enter on all questions.
3. Press the windows key, search for `services` and press the blueish cogs.
4. Scroll down and find `OpenSSH Authentication Agent` Right click and press `Preferences`.
5. Open the `StartMethod` dropdown and select `Automatic (Delayed start)`.
6. Press apply then press start. you can now exit the `Services` app.
7. Open `File Explorer` and navigate to `C:\Users\"YOUR NAME"\.ssh`.
8. Make sure that you have File extentions enabled in the show menu of File Explorer.
9. Now Make a file and name it `config` with no extention.
10. Open `config` in notepad and write `AddKeysToAgent yes`.
11. Now back in cmd write `ssh-add .ssh/id_ed25519` and press enter.
    * You can close cmd now.
12. Open this [Link](https://git.redstealth.dev/user/settings/keys) and press add key.
13. Now in the `.ssh` folder we opened earlier you should find a `ìd_ed25519.pub`.
    * Open it and copy the contents.
14. Paste the text from `ìd_ed25519.pub` in the big box on the ssh key page we opened and rename it to something relevant like laptop or school.
15. Finish of this part by pressing the `Add Key` button under the big box.

## Part 3 Setting up github desktop <a name="user-content-Part3"></a>
1. First of all if you havent gotten github desktop downloaded yet then download it [here](https://desktop.github.com/) and install.
2. On the welcome page that opens after installation press the gray text that states `Skip this step`
3. Now fill in the user and email that you have for this page and press continue.
4. Once your inside there will be three buttons press `Clone a repository`.
5. Now open the url tab and contine here.
6. Go to the homepage of this [website](https://git.redstealth.dev) and find the `Organization` tab on the left.
7. Under the tab you should see a organization if you dont then ask your organization owner to add you again.
8. Now open that organization and press the big text in the empty space with your projects name on it.
9. Here you will have to find the `https and SSH` buttons and press the ssh one. 
10. Next to the `SSH` button you will now see a link. Copy that link and paste it in the url spot and change file location if needed.
11. Press the clone button.

## part 4 Finishing up <a name="user-content-Part4"></a>
1. Wait until you see that the spinning arrows have stopped and the text under says `Last fetched just now.`
2. Open unity hub and press the down arrow next to open and select add project from disk.
3. Find your project were you put it default dir is `C:\users\YOURNAME\Documents\github\PROJECTNAME` and select.
## Usage <a name="user-content-Usage"></a>

### Table of Usage
1. [Commit Pull Push](#Usage-cpp)
2. [Branches](#Usage-Bran)

### Commit Pull Push <a name="user-content-Usage-cpp"></a>

### Branches <a name="user-content-Usage-Bran"></a>